declare const _default: import("vue").DefineComponent<{}, {
    __sfc: boolean;
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    option: {
        language: string;
        selectOnLineNumbers: boolean;
        readOnly: boolean;
        scrollbar: {
            useShadows: boolean;
            vertical: string;
            horizontal: string;
            horizontalSliderSize: number;
            verticalSliderSize: number;
            horizontalScrollbarSize: number;
            verticalScrollbarSize: number;
        };
        modelSetting: {
            indentSize: number;
            insertSpaces: boolean;
            tabSize: number;
            trimAutoWhitespace: boolean;
        };
        minimap: {
            enabled: boolean;
            showSlider: string;
            maxColumn: number;
        };
        extraLib: string;
    };
    script: import("vue").Ref<string>;
    loading: import("vue").Ref<boolean>;
    appJson: import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IAppJson>;
    loaded: import("vue").Ref<boolean>;
    addExample: () => void;
    save: () => Promise<void>;
    cancel: () => void;
    resetGlobal: (script: string) => Promise<void>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
    FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    TextCode: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text-code.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
export default _default;
