import { Ref } from 'vue';
import { Service } from '@fly-vue/lcdp-designer';
import { LcdpRendererConfig } from '@fly-vue/lcdp-engine';
import { DC } from './designer-comment';
import { IDeviceSize } from '../../types/designer';
interface IParams {
    content: Ref<any>;
    service: Ref<Service | undefined>;
    panelSize: Ref<IDeviceSize>;
    showLeftBar?: Ref<boolean>;
    showComponents?: Ref<boolean>;
    showBlocks?: Ref<boolean>;
    showOutline?: Ref<boolean>;
    showSourceCode?: boolean;
    rendererConfig: Ref<LcdpRendererConfig>;
    dc: DC;
}
export declare function useDesignerTheme(params: IParams): {
    theme: any;
    getTheme: () => any;
};
export {};
