import { JsonNode } from '@fly-vue/lcdp-designer';
import { IEntity, IField } from '@fly-vue/lcdp-api';
import { IPageBodyNode } from '@fly-vue/ide-core';
interface IParams {
    entityCode: string;
    fields: IField[];
    fullEntity: IEntity;
    isAddDs: boolean;
    dsName?: string;
    isAddSearch: boolean;
    isAddAdvanceSearch?: boolean;
    advanceSearchFields?: IField[];
    showSearchPanelVarName?: string;
    advSearchVarName?: string;
    searchVarName?: string;
    isAddCreate: boolean;
    createPageId?: string;
    isAddEdit: boolean;
    editPageId?: string;
    isAddDelete: boolean;
    node?: JsonNode;
}
export declare function generateEntityList(params: IParams): IPageBodyNode;
export {};
