import { JsonNode } from '@fly-vue/lcdp-designer';
import { ITreeOptions } from '@fly-vue/ide-base';
declare const _default: import("vue").DefineComponent<{
    node: {
        type: ObjectConstructor;
    };
    service: {
        type: ObjectConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
        service?: Record<string, any> | undefined;
        node?: Record<string, any> | undefined;
    }>>>;
    isShow: import("vue").Ref<boolean>;
    n: JsonNode;
    s: import("@fly-vue/lcdp-designer/@types/ui-designer/common/services").Service;
    masterId: import("vue").Ref<any>;
    pageId: import("vue").Ref<any>;
    treeOptions: import("vue").ComputedRef<ITreeOptions>;
    isShowNaviMaster: import("vue").ComputedRef<boolean>;
    onSelect: (data?: any) => Promise<void>;
    getMasterId: () => any;
    setMaster: (master?: string | undefined) => void;
    SelectPage: import("vue").DefineComponent<{
        value: null;
        placeholder: {
            default: string;
        };
        modalTitle: {
            default: string;
        };
        disableInput: {
            type: BooleanConstructor;
        };
        valueUseId: {
            type: BooleanConstructor;
        };
        showClear: {
            type: BooleanConstructor;
        };
        treeOptions: null;
        service: null;
        isGetPageData: {
            type: BooleanConstructor;
        };
        selectPageData: null;
        showExpr: {
            type: BooleanConstructor;
            default: boolean;
        };
        isOnlyPackage: {
            type: BooleanConstructor;
        };
        isPackageSelectable: {
            type: BooleanConstructor;
        };
        pathPrefix: {
            default: string;
        };
    }, {
        __sfc: boolean;
        props: {
            value?: string | undefined;
            placeholder: string;
            modalTitle: string;
            disableInput?: boolean | undefined;
            valueUseId?: boolean | undefined;
            showClear?: boolean | undefined;
            treeOptions?: ITreeOptions | undefined;
            service?: any;
            isGetPageData?: boolean | undefined;
            selectPageData?: string[] | undefined;
            showExpr: boolean;
            isOnlyPackage?: boolean | undefined;
            isPackageSelectable?: boolean | undefined;
            pathPrefix: string;
        };
        emit: (event: "input" | "on-select", ...args: any[]) => void;
        meta: import("@fly-vue/lcdp-api").IMetaProps;
        value: import("vue").Ref<string | undefined> | undefined;
        selected: import("vue").Ref<string | undefined>;
        isShow: import("vue").Ref<boolean>;
        keyword: import("vue").Ref<any>;
        refTree: import("vue").Ref<any>;
        def: ITreeOptions;
        appId: string | undefined;
        finalTreeOptions: import("vue").ComputedRef<ITreeOptions>;
        onSelect: (node: import("@fly-vue/ide-base").ITreeNode) => Promise<void>;
        clear: () => void;
        doReload: () => void;
        handleData: (tree: import("@fly-vue/ide-base").ITreeNode[]) => import("@fly-vue/ide-base").ITreeNode[];
        getIdFromValue: (value: string) => string;
        onLoaded: (list: import("@fly-vue/ide-base").ITreeNode[]) => void;
        selectedId: import("vue").ComputedRef<string>;
        MetaTree: () => Promise<typeof import("@fly-vue/ide-core/@types/components/meta/meta-tree/meta-tree.vue")>;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
        SearchInput: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/search-input.vue")>;
        Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
        LcModal: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/modal.vue")>;
        LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
        ExprBtn: () => Promise<typeof import("../../input/expr-btn.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-select")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: null;
        placeholder: {
            default: string;
        };
        modalTitle: {
            default: string;
        };
        disableInput: {
            type: BooleanConstructor;
        };
        valueUseId: {
            type: BooleanConstructor;
        };
        showClear: {
            type: BooleanConstructor;
        };
        treeOptions: null;
        service: null;
        isGetPageData: {
            type: BooleanConstructor;
        };
        selectPageData: null;
        showExpr: {
            type: BooleanConstructor;
            default: boolean;
        };
        isOnlyPackage: {
            type: BooleanConstructor;
        };
        isPackageSelectable: {
            type: BooleanConstructor;
        };
        pathPrefix: {
            default: string;
        };
    }>>, {
        showExpr: boolean;
        isGetPageData: boolean;
        isOnlyPackage: boolean;
        isPackageSelectable: boolean;
        placeholder: string;
        modalTitle: string;
        disableInput: boolean;
        valueUseId: boolean;
        showClear: boolean;
        pathPrefix: string;
    }>;
    PropRow: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
            default: boolean;
        };
        title: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
        PropTitle: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
            default: boolean;
        };
        title: {
            type: StringConstructor;
        };
    }>>, {
        itemsCenter: boolean;
    }>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
    node: {
        type: ObjectConstructor;
    };
    service: {
        type: ObjectConstructor;
    };
}>>, {}>;
export default _default;
