export declare function getAIResult(): Promise<{
    type: string;
    designer: {
        movein: boolean;
    };
    props: {
        title: string;
        padding: number;
        shadow: boolean;
        bordered: boolean;
        disHover: boolean;
        target: string;
    };
    slots: {
        extra: {
            children: ({
                type: string;
                designer: {
                    moveChild: boolean;
                    movein: boolean;
                };
                props: {
                    data: {
                        label: string;
                        value: string;
                    }[];
                    keyNames: {};
                    size: string;
                    buttonStyle: string;
                    type: string;
                    placeholder?: undefined;
                    options?: undefined;
                    placement?: undefined;
                    clearable?: undefined;
                    editable?: undefined;
                    capture?: undefined;
                    transfer?: undefined;
                    multiple?: undefined;
                };
                style: string;
                class: string;
            } | {
                type: string;
                props: {
                    placeholder: string;
                    type: string;
                    options: {
                        disabledDate: string;
                        shortcuts: never[];
                    };
                    size: string;
                    placement: string;
                    clearable: boolean;
                    editable: boolean;
                    capture: boolean;
                    transfer: boolean;
                    multiple: boolean;
                    data?: undefined;
                    keyNames?: undefined;
                    buttonStyle?: undefined;
                };
                designer?: undefined;
                style?: undefined;
                class?: undefined;
            })[];
            designer: {
                move: boolean;
                copy: boolean;
                moveSibling: boolean;
                select: boolean;
                del: boolean;
                dynamic: boolean;
            };
        };
        default: {
            children: {
                type: string;
                designer: {
                    movein: boolean;
                    moveout: boolean;
                };
                children: ({
                    type: string;
                    designer: {
                        move: boolean;
                        moveSibling: boolean;
                    };
                    props: {
                        span: number;
                    };
                    children: {
                        type: string;
                        props: {
                            settings: {
                                yAxisName: never[];
                                digit: number;
                                scale: boolean[];
                                xAxisType: string;
                            };
                            data: {
                                columns: string;
                                rows: {
                                    日期: string;
                                    余额: number;
                                }[];
                            };
                            height: string;
                            tooltipVisible: boolean;
                            legendVisible: boolean;
                            themeName: string;
                            widthChangeDelay: number;
                            resizeable: boolean;
                            resizeDelay: number;
                            changeDelay: number;
                            extend: {
                                grid: {
                                    left: number;
                                    right: number;
                                    top: number;
                                };
                                title: {
                                    text: string;
                                    textStyle: {
                                        color: string;
                                        fontSize: number;
                                        fontWeight: number;
                                    };
                                };
                                xAxis: {
                                    axisLabel: {
                                        show: boolean;
                                        textStyle: {
                                            color: string;
                                            fontSize: number;
                                            fontFamily: string;
                                        };
                                    };
                                };
                                yAxis: {
                                    splitLine: {
                                        show: boolean;
                                    };
                                    axisLabel: {
                                        show: boolean;
                                        textStyle: {
                                            color: string;
                                            fontSize: number;
                                            fontFamily: string;
                                        };
                                    };
                                };
                                color: never[];
                                series: {
                                    barWidth: number;
                                    itemStyle: {
                                        borderRadius: number;
                                        color: {
                                            type: string;
                                            x: number;
                                            y: number;
                                            x2: number;
                                            y2: number;
                                            colorStops: {
                                                offset: number;
                                                color: string;
                                            }[];
                                        };
                                    };
                                };
                                animation: boolean;
                            };
                        };
                    }[];
                    class: string;
                } | {
                    type: string;
                    designer: {
                        move: boolean;
                        moveSibling: boolean;
                    };
                    props: {
                        span: number;
                    };
                    children: ({
                        type: string;
                        props: {
                            maxLine: number;
                            text: string;
                            mode?: undefined;
                            gutter?: undefined;
                            align?: undefined;
                            justify?: undefined;
                        };
                        style: string;
                        class: string;
                        designer?: undefined;
                        children?: undefined;
                    } | {
                        type: string;
                        designer: {
                            movein: boolean;
                            moveout: boolean;
                        };
                        children: {
                            type: string;
                            designer: {
                                move: boolean;
                                moveSibling: boolean;
                            };
                            children: ({
                                type: string;
                                props: {
                                    maxLine: number;
                                    text: string;
                                };
                                style: string;
                                class: string;
                            } | {
                                type: string;
                                props: {
                                    maxLine: number;
                                    text: string;
                                };
                                style: string;
                                class?: undefined;
                            })[];
                        }[];
                        props: {
                            mode: string;
                            gutter: number;
                            align: string;
                            justify: string;
                            maxLine?: undefined;
                            text?: undefined;
                        };
                        class: string;
                        style: string;
                    })[];
                    class?: undefined;
                })[];
                props: {
                    customCol: string;
                    gutter: number;
                    wrap: boolean;
                };
            }[];
            designer: {
                move: boolean;
                copy: boolean;
                moveSibling: boolean;
                select: boolean;
                del: boolean;
                dynamic: boolean;
            };
        };
    };
}>;
