import { ILayoutSetting } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    width: {
        default: string;
    };
    height: {
        default: string;
    };
    value: null;
    headerHeight: {
        default: string;
    };
    siderWidth: {
        default: string;
    };
}, {
    __sfc: boolean;
    props: {
        width: string;
        height: string;
        value: ILayoutSetting;
        headerHeight: string;
        siderWidth: string;
    };
    emit: (event: "input", ...args: any[]) => void;
    setting: import("vue").Ref<{
        appTitle?: string | undefined;
        appDesc?: string | undefined;
        themeDark?: boolean | undefined;
        siderTheme?: "light" | "dark" | undefined;
        headerTheme?: "primary" | "light" | "dark" | undefined;
        headerStick?: boolean | undefined;
        tabs?: boolean | undefined;
        showTabsIcon?: boolean | undefined;
        tabsFix?: boolean | undefined;
        tabsReload?: boolean | undefined;
        siderFix?: boolean | undefined;
        headerFix?: boolean | undefined;
        headerHide?: boolean | undefined;
        headerMenu?: boolean | undefined;
        menuAccordion?: boolean | undefined;
        showSiderCollapse?: boolean | undefined;
        menuCollapse?: boolean | undefined;
        menuSiderReload?: boolean | undefined;
        menuHeaderReload?: boolean | undefined;
        showCollapseMenuTitle?: boolean | undefined;
        showReload?: boolean | undefined;
        showSearch?: boolean | undefined;
        showNotice?: boolean | undefined;
        showFullscreen?: boolean | undefined;
        showMobileLogo?: boolean | undefined;
        showBreadcrumb?: boolean | undefined;
        showBreadcrumbIcon?: boolean | undefined;
        showLog?: boolean | undefined;
        showI18n?: boolean | undefined;
        enableSetting?: boolean | undefined;
        logoutConfirm?: boolean | undefined;
        forceCleanCache?: boolean | undefined;
        frameCode?: string | undefined;
        logo?: string | undefined;
        logoSmall?: string | undefined;
        logoDark?: string | undefined;
        favicon?: string | undefined;
        disabledSiderMenu?: boolean | undefined;
    }> | import("vue").WritableComputedRef<ILayoutSetting>;
    headerStyle: import("vue").ComputedRef<{
        height: string;
        backgroundColor: string;
    }>;
    titleStyle: import("vue").ComputedRef<{
        width: string;
        backgroundColor: string;
    }>;
    siderStyle: import("vue").ComputedRef<{
        width: string;
        height: string;
        backgroundColor: string;
    }>;
    contentStyle: import("vue").ComputedRef<{
        backgroundColor: string;
    }>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
    ColorBlock: () => Promise<typeof import("@fly-vue/ide-core/@types/components/theme/color-block.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
    width: {
        default: string;
    };
    height: {
        default: string;
    };
    value: null;
    headerHeight: {
        default: string;
    };
    siderWidth: {
        default: string;
    };
}>>, {
    width: string;
    height: string;
    headerHeight: string;
    siderWidth: string;
}>;
export default _default;
