import { IMicroApp, IMetaObject, IMetaProps } from '@fly-vue/lcdp-api';
import { HttpRequest } from '@fly-vue/core';
declare const _default: import("vue").DefineComponent<{
    parent: {
        type: StringConstructor;
    };
    meta: {
        type: ObjectConstructor;
        required: true;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        meta: Record<string, any>;
    } & {
        parent?: string | undefined;
    }>>>;
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    refInput: import("vue").Ref<any>;
    meta: IMetaProps;
    data: any;
    isDataValid: import("vue").ComputedRef<any>;
    fileName: (rule: any, value: string, cb: any) => any;
    required: (rule: any, value: string, cb: any) => any;
    onValidate: (props: any, status: any, error: any) => void;
    modules: import("vue").WritableComputedRef<IMicroApp[]>;
    appId: string | undefined;
    module: import("vue").Ref<IMicroApp | undefined>;
    page: import("vue").Ref<any>;
    request: import("vue").Ref<any>;
    save: () => Promise<void>;
    onChangeModule: (m: IMicroApp) => Promise<void>;
    onSelectPage: (p: any) => void;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcSelect: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/select.vue")>;
    LcForm: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form.vue")>;
    LcFormItem: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-item.vue")>;
    FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    SelectPageTree: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string[]>;
        };
        request: {
            type: import("vue").PropType<HttpRequest>;
        };
        withData: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            withData: boolean;
        } & {
            value?: string[] | undefined;
            request?: HttpRequest | undefined;
        }>>>;
        emit: (event: "input" | "on-select" | "on-loaded", ...args: any[]) => void;
        appId: string | undefined;
        innerValue: import("vue").Ref<string[] | undefined> | import("vue").WritableComputedRef<string[] | undefined>;
        pkg: import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IMetaPackage>;
        pages: import("vue").ComputedRef<any[]>;
        format: (pkg?: import("@fly-vue/lcdp-api").IMetaPackage | undefined) => any[];
        convert: (tree: any[], packages: import("@fly-vue/lcdp-api").IMetaPackage[] | undefined, objects: IMetaObject<any>[] | undefined) => void;
        onChange: (value?: any) => void;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-select" | "on-loaded")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string[]>;
        };
        request: {
            type: import("vue").PropType<HttpRequest>;
        };
        withData: {
            type: BooleanConstructor;
        };
    }>>, {
        withData: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
    parent: {
        type: StringConstructor;
    };
    meta: {
        type: ObjectConstructor;
        required: true;
    };
}>>, {}>;
export default _default;
