import { IHeaderMenu, IMenuInfo, MenuTarget } from '@fly-vue/lcdp-api';
import { ITreeOptions } from '@fly-vue/ide-base';
declare const _default: import("vue").DefineComponent<{
    value: null;
    isHeader: {
        type: BooleanConstructor;
    };
    pathPrefix: {
        default: string;
    };
}, {
    __sfc: boolean;
    props: {
        value: IMenuInfo | IHeaderMenu;
        isHeader?: boolean | undefined;
        pathPrefix: string;
    };
    emit: (event: "on-name-change", ...args: any[]) => void;
    name: import("vue").Ref<any>;
    enabledAuth: import("vue").Ref<any>;
    isEnableAuth: import("vue").ComputedRef<boolean>;
    normalAuth: import("vue").Ref<string[]>;
    extraAuth: import("vue").Ref<string[]>;
    extraAuthEnable: import("vue").Ref<boolean>;
    list: import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IAuthorityDef[]>;
    expandedList: import("vue").Ref<string[]>;
    isEnabledI18n: any;
    titleI18nKey: import("vue").WritableComputedRef<unknown>;
    data: import("vue").ComputedRef<any>;
    reload: () => Promise<void>;
    reset: () => void;
    treeOptions: ITreeOptions;
    onSwitchAuth: (enable: boolean) => void;
    onNameChange: () => void;
    MenuTarget: typeof MenuTarget;
    SelectAuth: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-auth.vue")>;
    SelectCustomIcon: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-custom-icon.vue")>;
    SelectIviewIcon: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-iview-icon.vue")>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
    LcForm: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form.vue")>;
    Field: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/field.vue")>;
    SelectPage: import("vue").DefineComponent<{
        value: null;
        placeholder: {
            default: string;
        };
        modalTitle: {
            default: string;
        };
        disableInput: {
            type: BooleanConstructor;
        };
        valueUseId: {
            type: BooleanConstructor;
        };
        showClear: {
            type: BooleanConstructor;
        };
        treeOptions: null;
        service: null;
        isGetPageData: {
            type: BooleanConstructor;
        };
        selectPageData: null;
        showExpr: {
            type: BooleanConstructor;
            default: boolean;
        };
        isOnlyPackage: {
            type: BooleanConstructor;
        };
        isPackageSelectable: {
            type: BooleanConstructor;
        };
        pathPrefix: {
            default: string;
        };
    }, {
        __sfc: boolean;
        props: {
            value?: string | undefined;
            placeholder: string;
            modalTitle: string;
            disableInput?: boolean | undefined;
            valueUseId?: boolean | undefined;
            showClear?: boolean | undefined;
            treeOptions?: ITreeOptions | undefined;
            service?: any;
            isGetPageData?: boolean | undefined;
            selectPageData?: string[] | undefined;
            showExpr: boolean;
            isOnlyPackage?: boolean | undefined;
            isPackageSelectable?: boolean | undefined;
            pathPrefix: string;
        };
        emit: (event: "input" | "on-select", ...args: any[]) => void;
        meta: import("@fly-vue/lcdp-api").IMetaProps;
        value: import("vue").Ref<string | undefined> | undefined;
        selected: import("vue").Ref<string | undefined>;
        isShow: import("vue").Ref<boolean>;
        keyword: import("vue").Ref<any>;
        refTree: import("vue").Ref<any>;
        def: ITreeOptions;
        appId: string | undefined;
        finalTreeOptions: import("vue").ComputedRef<ITreeOptions>;
        onSelect: (node: import("@fly-vue/ide-base").ITreeNode) => Promise<void>;
        clear: () => void;
        doReload: () => void;
        handleData: (tree: import("@fly-vue/ide-base").ITreeNode[]) => import("@fly-vue/ide-base").ITreeNode[];
        getIdFromValue: (value: string) => string;
        onLoaded: (list: import("@fly-vue/ide-base").ITreeNode[]) => void;
        selectedId: import("vue").ComputedRef<string>;
        MetaTree: () => Promise<typeof import("@fly-vue/ide-core/@types/components/meta/meta-tree/meta-tree.vue")>;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
        SearchInput: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/search-input.vue")>;
        Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
        LcModal: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/modal.vue")>;
        LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
        ExprBtn: () => Promise<typeof import("../input/expr-btn.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-select")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: null;
        placeholder: {
            default: string;
        };
        modalTitle: {
            default: string;
        };
        disableInput: {
            type: BooleanConstructor;
        };
        valueUseId: {
            type: BooleanConstructor;
        };
        showClear: {
            type: BooleanConstructor;
        };
        treeOptions: null;
        service: null;
        isGetPageData: {
            type: BooleanConstructor;
        };
        selectPageData: null;
        showExpr: {
            type: BooleanConstructor;
            default: boolean;
        };
        isOnlyPackage: {
            type: BooleanConstructor;
        };
        isPackageSelectable: {
            type: BooleanConstructor;
        };
        pathPrefix: {
            default: string;
        };
    }>>, {
        showExpr: boolean;
        isGetPageData: boolean;
        isOnlyPackage: boolean;
        isPackageSelectable: boolean;
        placeholder: string;
        modalTitle: string;
        disableInput: boolean;
        valueUseId: boolean;
        showClear: boolean;
        pathPrefix: string;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-name-change"[], string, Readonly<import("vue").ExtractPropTypes<{
    value: null;
    isHeader: {
        type: BooleanConstructor;
    };
    pathPrefix: {
        default: string;
    };
}>>, {
    pathPrefix: string;
    isHeader: boolean;
}>;
export default _default;
