import { ILayoutSetting, IHeaderMenu, INavi, ISubsystem } from '@fly-vue/lcdp-api';
import { Ref } from 'vue';
declare const _default: import("vue").DefineComponent<{
    subSystem: null;
    layoutConfig: null;
    navi: null;
    hideMenus: {
        type: BooleanConstructor;
    };
    selected: null;
}, {
    __sfc: boolean;
    props: {
        subSystem?: ISubsystem | undefined;
        layoutConfig: ILayoutSetting;
        navi?: INavi | undefined;
        hideMenus?: boolean | undefined;
        selected?: string | undefined;
    };
    emit: (event: "on-select" | "on-remove" | "on-click-header", ...args: any[]) => void;
    config: Ref<ILayoutSetting>;
    selectedHeaderId: Ref<string | undefined>;
    globalConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
    headerList: import("vue").ComputedRef<IHeaderMenu[]>;
    onSelectHeader: (name?: string | undefined) => void;
    selectDefaultHeader: () => void;
    getLabel: (menu: IHeaderMenu) => (h: any) => any;
    onHeaderClose: (menu: IHeaderMenu) => Promise<void>;
    genName: <T = any>(name: string, list: T[], prop: keyof T) => string;
    addHeader: () => void;
    handleDragDrop: (aName: string, bName: string, aIndex: number, bIndex: number, names: string[]) => void;
    reorder: () => void;
    isShow: (header: IHeaderMenu) => boolean;
    finalLogo: import("vue").ComputedRef<string>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-remove" | "on-click-header")[], string, Readonly<import("vue").ExtractPropTypes<{
    subSystem: null;
    layoutConfig: null;
    navi: null;
    hideMenus: {
        type: BooleanConstructor;
    };
    selected: null;
}>>, {
    hideMenus: boolean;
}>;
export default _default;
