import { INavi, ISubsystem } from '@fly-vue/lcdp-api';
import { Ref } from 'vue';
interface IParams {
    subSystem?: Ref<ISubsystem | undefined>;
    emit?: any;
}
export declare function useNaviData(p: IParams): {
    navi: Ref<INavi | undefined>;
    isMenuIsolated: boolean | undefined;
    selectedHeaderName: Ref<any>;
    reload: (subSystem?: ISubsystem | undefined, headerTitle?: string | undefined) => Promise<void>;
    saveHeader: (subSystem?: ISubsystem | undefined) => Promise<void>;
    addHeader: (id: string, title?: string | undefined) => Promise<void>;
    editHeader: (id: string, title: string) => Promise<void>;
    removeHeader: (id: string) => Promise<void>;
};
export {};
