import { Groups } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    selected: {
        type: BooleanConstructor;
    };
    icon: null;
    payload: null;
    group: null;
    id: null;
    versionId: null;
    platform: null;
    empty: {
        type: BooleanConstructor;
    };
    title: null;
    cardClass: null;
    width: {
        default: string;
    };
    height: {
        default: string;
    };
    noScroll: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: {
        selected?: boolean | undefined;
        icon?: string | undefined;
        payload?: Record<string, any> | undefined;
        group?: Groups | undefined;
        id?: string | undefined;
        versionId?: string | undefined;
        platform?: string | undefined;
        empty?: boolean | undefined;
        title?: string | undefined;
        cardClass?: string | undefined;
        width: string;
        height: string;
        noScroll?: boolean | undefined;
    };
    emit: (event: "on-select" | "on-load", ...args: any[]) => void;
    LazyPreviewLowcodePage: () => Promise<typeof import("./lazy-preview-lowcode-page.vue")>;
    PreviewLowcodePage: () => Promise<typeof import("./preview-lowcode-page.vue")>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    LcImage: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/image.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-load")[], string, Readonly<import("vue").ExtractPropTypes<{
    selected: {
        type: BooleanConstructor;
    };
    icon: null;
    payload: null;
    group: null;
    id: null;
    versionId: null;
    platform: null;
    empty: {
        type: BooleanConstructor;
    };
    title: null;
    cardClass: null;
    width: {
        default: string;
    };
    height: {
        default: string;
    };
    noScroll: {
        type: BooleanConstructor;
    };
}>>, {
    selected: boolean;
    width: string;
    height: string;
    empty: boolean;
    noScroll: boolean;
}>;
export default _default;
