import { IGroupBlocksData, IGroupBlocksItem, IGroupBlocksOption } from '@fly-vue/ide-core';
import { PropType } from 'vue';
import { Groups } from '@fly-vue/lcdp-api';
import { Service } from '@fly-vue/lcdp-designer';
declare const _default: import("vue").DefineComponent<{
    data: {
        type: PropType<IGroupBlocksData>;
        required: true;
    };
    options: {
        type: PropType<IGroupBlocksOption>;
    };
    dragId: {
        type: StringConstructor;
        default: string;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        data: IGroupBlocksData;
        dragId: string;
    } & {
        options?: IGroupBlocksOption | undefined;
    }>>>;
    emit: (event: "on-remove" | "on-design" | "on-edit", ...args: any[]) => void;
    selectedFolderId: import("vue").Ref<any>;
    disabledPreview: import("vue").Ref<boolean>;
    list: import("vue").ComputedRef<IGroupBlocksItem[]>;
    design: (block: IGroupBlocksItem) => void;
    edit: (block: IGroupBlocksItem) => void;
    remove: (block: IGroupBlocksItem) => void;
    download: (block: IGroupBlocksItem) => void;
    getDragOption: (block: IGroupBlocksItem) => {
        dragId: string;
        dragingCtx: () => string;
        dragstart: () => boolean;
        dragend: () => boolean;
        dragover: () => boolean;
        drop: ({ node, posType, service }: any) => void;
    };
    merge: (service: Service, json: any) => any;
    isExpression: (targetStr: any) => boolean;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    NoData: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/no-data.vue")>;
    SelectableTag: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/selectable-tag.vue")>;
    Groups: typeof Groups;
    LazyPreviewLowcodePage: () => Promise<typeof import("../preview/lazy-preview-lowcode-page.vue")>;
    PreviewCard: () => Promise<typeof import("../preview/preview-card.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-remove" | "on-design" | "on-edit")[], string, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type: PropType<IGroupBlocksData>;
        required: true;
    };
    options: {
        type: PropType<IGroupBlocksOption>;
    };
    dragId: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    dragId: string;
}>;
export default _default;
