import { IPlatform } from '@fly-vue/lcdp-api';
import { IDeviceSize, ISize } from '../../../types/designer';
declare const _default: import("vue").DefineComponent<{
    value: null;
    platform: null;
}, {
    __sfc: boolean;
    props: {
        value: IDeviceSize;
        platform: IPlatform;
    };
    customPcSize: import("@vueuse/shared").RemovableRef<ISize>;
    customMobileSize: import("@vueuse/shared").RemovableRef<ISize>;
    pcDeviceSizeList: import("vue").ComputedRef<IDeviceSize[]>;
    mobileDeviceSizeList: import("vue").ComputedRef<IDeviceSize[]>;
    emit: (event: "input", ...args: any[]) => void;
    selectedDeviceSize: import("vue").Ref<string>;
    innerValue: import("vue").WritableComputedRef<IDeviceSize> | import("vue").Ref<{
        name: string;
        title: string;
        size: {
            width?: number | undefined;
            height?: number | undefined;
        };
    }>;
    deviceSizeList: import("vue").ComputedRef<IDeviceSize[]>;
    width: import("vue").WritableComputedRef<number | undefined>;
    height: import("vue").WritableComputedRef<number | undefined>;
    onDeviceChange: (device?: IDeviceSize | undefined) => void;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Input: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/input.vue")>;
    LcSelect: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/select.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    panelSvg: any;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
    value: null;
    platform: null;
}>>, {}>;
export default _default;
