import { PropType } from 'vue';
import { IField } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    fields: {
        type: PropType<IField[]>;
    };
    value: {
        type: PropType<string[]>;
    };
    span: {
        type: StringConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
        value?: string[] | undefined;
        span?: string | undefined;
        fields?: IField[] | undefined;
    }>>>;
    emit: (event: "update:span", ...args: any[]) => void;
    selected: import("vue").Ref<string[]>;
    padding: boolean;
    span: import("vue").Ref<string | undefined> | import("vue").WritableComputedRef<string | undefined>;
    spanList: {
        label: string;
        value: string;
    }[];
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcSelect: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/select.vue")>;
    SelectFields: import("vue").DefineComponent<{
        fields: {
            type: PropType<IField[]>;
            required: true;
        };
        value: {
            type: PropType<string[]>;
        };
        filterFunc: {
            type: FunctionConstructor;
        };
        itemClass: {
            type: StringConstructor;
            default: string;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            fields: IField[];
            itemClass: string;
        } & {
            value?: string[] | undefined;
            filterFunc?: Function | undefined;
        }>>>;
        emit: (event: "input", ...args: any[]) => void;
        innerValue: import("vue").Ref<string[] | undefined> | import("vue").WritableComputedRef<string[] | undefined>;
        candidateFields: import("vue").ComputedRef<IField[]>;
        listSort: (a: IField, b: IField) => number;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
        fields: {
            type: PropType<IField[]>;
            required: true;
        };
        value: {
            type: PropType<string[]>;
        };
        filterFunc: {
            type: FunctionConstructor;
        };
        itemClass: {
            type: StringConstructor;
            default: string;
        };
    }>>, {
        itemClass: string;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "update:span"[], string, Readonly<import("vue").ExtractPropTypes<{
    fields: {
        type: PropType<IField[]>;
    };
    value: {
        type: PropType<string[]>;
    };
    span: {
        type: StringConstructor;
    };
}>>, {}>;
export default _default;
