import { IField, IOption } from '@fly-vue/lcdp-api';
export interface IDynamicField {
    name: string;
}
export declare type IJson = Record<string, any>;
export interface IExtendedField extends IField {
    readOnly?: boolean;
    options?: IOption[];
    unit?: string;
    /**
     * 组件参数，JSON 对象，会原样传递给 UI 建议(inputType) 对应的组件作为 props
     */
    inputParams?: Record<string, any>;
}
