import { PageType } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    service: null;
    node: null;
    entityCode: null;
    formType: null;
    isShowFormBtns: {
        type: BooleanConstructor;
    };
    padding: {
        type: BooleanConstructor;
        default: boolean;
    };
    paramsIdKey: null;
    readonly: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: {
        service?: any;
        node?: any;
        entityCode?: string | undefined;
        formType?: PageType.create | PageType.edit | undefined;
        isShowFormBtns?: boolean | undefined;
        padding: boolean;
        paramsIdKey?: string | undefined;
        readonly?: boolean | undefined;
    };
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    entityCode: import("vue").Ref<string>;
    isAddSaveBtn: import("vue").Ref<boolean>;
    showProOptions: import("vue").Ref<boolean>;
    isAddPageVar: import("vue").Ref<boolean>;
    formType: import("vue").Ref<PageType>;
    span: import("vue").Ref<string>;
    pageVarName: import("vue").Ref<any>;
    editDsName: import("vue").Ref<string>;
    appId: string | undefined;
    fullEntity: import("vue").Ref<import("@fly-vue/lcdp-api").IEntity | undefined>;
    fields: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IField[]>;
    addedFields: import("vue").Ref<string[]>;
    spanList: {
        label: string;
        value: string;
    }[];
    formTypes: {
        value: PageType;
        label: string;
    }[];
    isDataValid: import("vue").ComputedRef<string>;
    onOk: () => Promise<void>;
    generate: () => Promise<any>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcSelect: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/select.vue")>;
    FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    TextLink: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text-link.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
    SelectEntity: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-entity.vue")>;
    RadioGroup: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/radio-group.vue")>;
    PageTypeLabel: Record<PageType, string>;
    SelectFields: import("vue").DefineComponent<{
        fields: {
            type: import("vue").PropType<import("@fly-vue/lcdp-api").IField[]>;
            required: true;
        };
        value: {
            type: import("vue").PropType<string[]>;
        };
        filterFunc: {
            type: FunctionConstructor;
        };
        itemClass: {
            type: StringConstructor;
            default: string;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            fields: import("@fly-vue/lcdp-api").IField[];
            itemClass: string;
        } & {
            value?: string[] | undefined;
            filterFunc?: Function | undefined;
        }>>>;
        emit: (event: "input", ...args: any[]) => void;
        innerValue: import("vue").Ref<string[] | undefined> | import("vue").WritableComputedRef<string[] | undefined>;
        candidateFields: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IField[]>;
        listSort: (a: import("@fly-vue/lcdp-api").IField, b: import("@fly-vue/lcdp-api").IField) => number;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
        fields: {
            type: import("vue").PropType<import("@fly-vue/lcdp-api").IField[]>;
            required: true;
        };
        value: {
            type: import("vue").PropType<string[]>;
        };
        filterFunc: {
            type: FunctionConstructor;
        };
        itemClass: {
            type: StringConstructor;
            default: string;
        };
    }>>, {
        itemClass: string;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
    service: null;
    node: null;
    entityCode: null;
    formType: null;
    isShowFormBtns: {
        type: BooleanConstructor;
    };
    padding: {
        type: BooleanConstructor;
        default: boolean;
    };
    paramsIdKey: null;
    readonly: {
        type: BooleanConstructor;
    };
}>>, {
    readonly: boolean;
    padding: boolean;
    isShowFormBtns: boolean;
}>;
export default _default;
