declare const _default: import("vue").DefineComponent<{
    value: {
        type: StringConstructor;
    };
    showExpr: {
        type: BooleanConstructor;
        default: boolean;
    };
    isGetPageData: {
        type: BooleanConstructor;
        default: boolean;
    };
    isOnlyPackage: {
        type: BooleanConstructor;
    };
    isPackageSelectable: {
        type: BooleanConstructor;
    };
    service: {
        type: ObjectConstructor;
    };
    propSchema: {
        type: ObjectConstructor;
    };
    selectedOrchNode: {};
    model: {
        type: ObjectConstructor;
    };
    modelExtra: {
        type: ObjectConstructor;
    };
    schemas: {
        type: import("vue").PropType<import("@fly-vue/lcdp-engine").SchemaDefs>;
        required: boolean;
    };
    node: {
        type: ObjectConstructor;
        required: boolean;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        showExpr: boolean;
        isGetPageData: boolean;
        isOnlyPackage: boolean;
        isPackageSelectable: boolean;
    } & {
        model?: Record<string, any> | undefined;
        value?: string | undefined;
        service?: Record<string, any> | undefined;
        propSchema?: Record<string, any> | undefined;
        selectedOrchNode?: unknown;
        modelExtra?: Record<string, any> | undefined;
        schemas?: import("@fly-vue/lcdp-engine").SchemaDefs | undefined;
        node?: Record<string, any> | undefined;
    }>>>;
    emit: (event: "input" | "on-change", ...args: any[]) => void;
    innerValue: import("vue").Ref<string | undefined> | import("vue").WritableComputedRef<string | undefined>;
    onSelect: (data?: any) => void;
    SelectPage: import("vue").DefineComponent<{
        value: null;
        placeholder: {
            default: string;
        };
        modalTitle: {
            default: string;
        };
        disableInput: {
            type: BooleanConstructor;
        };
        valueUseId: {
            type: BooleanConstructor;
        };
        showClear: {
            type: BooleanConstructor;
        };
        treeOptions: null;
        service: null;
        isGetPageData: {
            type: BooleanConstructor;
        };
        selectPageData: null;
        showExpr: {
            type: BooleanConstructor;
            default: boolean;
        };
        isOnlyPackage: {
            type: BooleanConstructor;
        };
        isPackageSelectable: {
            type: BooleanConstructor;
        };
        pathPrefix: {
            default: string;
        };
    }, {
        __sfc: boolean;
        props: {
            value?: string | undefined;
            placeholder: string;
            modalTitle: string;
            disableInput?: boolean | undefined;
            valueUseId?: boolean | undefined;
            showClear?: boolean | undefined;
            treeOptions?: import("@fly-vue/ide-base").ITreeOptions | undefined;
            service?: any;
            isGetPageData?: boolean | undefined;
            selectPageData?: string[] | undefined;
            showExpr: boolean;
            isOnlyPackage?: boolean | undefined;
            isPackageSelectable?: boolean | undefined;
            pathPrefix: string;
        };
        emit: (event: "input" | "on-select", ...args: any[]) => void;
        meta: import("@fly-vue/lcdp-api").IMetaProps;
        value: import("vue").Ref<string | undefined> | undefined;
        selected: import("vue").Ref<string | undefined>;
        isShow: import("vue").Ref<boolean>;
        keyword: import("vue").Ref<any>;
        refTree: import("vue").Ref<any>;
        def: import("@fly-vue/ide-base").ITreeOptions;
        appId: string | undefined;
        finalTreeOptions: import("vue").ComputedRef<import("@fly-vue/ide-base").ITreeOptions>;
        onSelect: (node: import("@fly-vue/ide-base").ITreeNode) => Promise<void>;
        clear: () => void;
        doReload: () => void;
        handleData: (tree: import("@fly-vue/ide-base").ITreeNode[]) => import("@fly-vue/ide-base").ITreeNode[];
        getIdFromValue: (value: string) => string;
        onLoaded: (list: import("@fly-vue/ide-base").ITreeNode[]) => void;
        selectedId: import("vue").ComputedRef<string>;
        MetaTree: () => Promise<typeof import("@fly-vue/ide-core/@types/components/meta/meta-tree/meta-tree.vue")>;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
        SearchInput: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/search-input.vue")>;
        Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
        LcModal: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/modal.vue")>;
        LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
        ExprBtn: () => Promise<typeof import("./expr-btn.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-select")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: null;
        placeholder: {
            default: string;
        };
        modalTitle: {
            default: string;
        };
        disableInput: {
            type: BooleanConstructor;
        };
        valueUseId: {
            type: BooleanConstructor;
        };
        showClear: {
            type: BooleanConstructor;
        };
        treeOptions: null;
        service: null;
        isGetPageData: {
            type: BooleanConstructor;
        };
        selectPageData: null;
        showExpr: {
            type: BooleanConstructor;
            default: boolean;
        };
        isOnlyPackage: {
            type: BooleanConstructor;
        };
        isPackageSelectable: {
            type: BooleanConstructor;
        };
        pathPrefix: {
            default: string;
        };
    }>>, {
        showExpr: boolean;
        isGetPageData: boolean;
        isOnlyPackage: boolean;
        isPackageSelectable: boolean;
        placeholder: string;
        modalTitle: string;
        disableInput: boolean;
        valueUseId: boolean;
        showClear: boolean;
        pathPrefix: string;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-change")[], string, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: StringConstructor;
    };
    showExpr: {
        type: BooleanConstructor;
        default: boolean;
    };
    isGetPageData: {
        type: BooleanConstructor;
        default: boolean;
    };
    isOnlyPackage: {
        type: BooleanConstructor;
    };
    isPackageSelectable: {
        type: BooleanConstructor;
    };
    service: {
        type: ObjectConstructor;
    };
    propSchema: {
        type: ObjectConstructor;
    };
    selectedOrchNode: {};
    model: {
        type: ObjectConstructor;
    };
    modelExtra: {
        type: ObjectConstructor;
    };
    schemas: {
        type: import("vue").PropType<import("@fly-vue/lcdp-engine").SchemaDefs>;
        required: boolean;
    };
    node: {
        type: ObjectConstructor;
        required: boolean;
    };
}>>, {
    showExpr: boolean;
    isGetPageData: boolean;
    isOnlyPackage: boolean;
    isPackageSelectable: boolean;
}>;
export default _default;
