declare const _default: {
    /** 当前属性的schema */
    propSchema: {
        type: ObjectConstructor;
    };
    /**
     * 如果是编排设计器：代表编排选中的节点
     */
    selectedOrchNode: {};
    /** 如果是简单编排，代表选中操作的属性数据；如果是编排设计器，代表当前选中编排节点的属性数据 */
    model: {
        type: ObjectConstructor;
    };
    /** 用来存储某个属性编辑器设置完属性后给同model的某个属性传递额外属性：比如选择页面后，附加页面参数等数据 */
    modelExtra: {
        type: ObjectConstructor;
    };
    schemas: {
        type: import("vue").PropType<import("@fly-vue/lcdp-engine").SchemaDefs>;
        required: boolean; /**
         * 如果是编排设计器：代表编排选中的节点
         */
    };
    service: {
        type: import("vue").PropType<import("@fly-vue/lcdp-designer/@types/ui-designer/common/services").Service>;
        /** 如果是简单编排，代表选中操作的属性数据；如果是编排设计器，代表当前选中编排节点的属性数据 */
        required: boolean;
    };
    node: {
        type: ObjectConstructor;
        required: boolean;
    };
};
/** 操作属性的自定义输入组件(actionSchema.properties的子项的inputType指定自定义输入组件)，使用此作为基础属性 */
export default _default;
